import request from '@/utils/request'

// 查询订单日志列表
export function listOrderLogs(query) {
  return request({
    url: '/cai/orderLogs/list',
    method: 'get',
    params: query
  })
}

// 查询订单日志详细
export function getOrderLogs(id) {
  return request({
    url: '/cai/orderLogs/' + id,
    method: 'get'
  })
}

// 新增订单日志
export function addOrderLogs(data) {
  return request({
    url: '/cai/orderLogs',
    method: 'post',
    data: data
  })
}

// 修改订单日志
export function updateOrderLogs(data) {
  return request({
    url: '/cai/orderLogs',
    method: 'put',
    data: data
  })
}

// 删除订单日志
export function delOrderLogs(id) {
  return request({
    url: '/cai/orderLogs/' + id,
    method: 'delete'
  })
}
